{ config, pkgs, ... }:
let
    profile = import ../profile.nix;
in
{

   imports = [
      ./editor.nix
      ./tex-environment.nix
   ];

    environment.systemPackages = with pkgs; [
        astyle
        hyfetch
        distrobox
    ];

    programs.tmux = {
        enable = true;
        clock24 = true;
        extraConfig = ''

        '';
    };

    programs.direnv.enable = true;
    programs.direnv.nix-direnv.enable = true;

    programs.zsh = {
        enable = true;
        enableCompletion = true;
        autosuggestions.enable = true;
        syntaxHighlighting.enable = true;

        histSize = 4096;
        histFile = "$HOME/.zsh_history";
        setOptions = [
            "HIST_IGNORE_ALL_DUPS"
        ];

        shellAliases = {
            ll = "ls -lh";
            nix-check = "nixos-rebuild build";
            nix-update = "sudo nixos-rebuild switch";
            sirc = "ssh -t nichkara.eu tmux new-session -A -s weechat weechat";
        };

        ohMyZsh = {
            enable = true;
            plugins = [
              "git"
              "z"
              "dotenv"
              "battery"
              "emoji"
              "emoji-clock"
              "fzf"
              "kitty"
              "themes"
              "tmux"
              "vi-mode"
            ];
            theme = "sonicradish";
        };
    };
}
